#include <bits/stdc++.h>
using namespace std;
int n,m,l,r,x,sol;
struct slog{
int manja;
int veca;
}s[200005];
int main(){
    cin >> n >> m;
    for(int i=0; i<n; i++){
        cin >> s[i].manja >> s[i].veca;
    }
    for(int i=0; i<m; i++){
        sol=0;
        cin >> l >> r >> x;
        for(int j=l; j<=r; j++){
            if(s[j].manja<=x and s[j].veca>=x)sol++;
        }
        cout << sol << endl;
    }
    return 0;
}